package main

import (
	"github.com/getsentry/sentry-go"
	"joethei.xyz/weather/config"
	"joethei.xyz/weather/server"
)

func main() {
	conf := config.LoadConfiguration()
	if conf.SentryDsn != "" {
		if err := sentry.Init(sentry.ClientOptions{
			Dsn: conf.SentryDsn,
		}); err != nil {
			panic(err)
		}
	}

	server.StartServer()
}
